Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.taxonomy
Class TaxonomyNode

    java.lang.Object
      org.mindswap.pellet.taxonomy.TaxonomyNode

    public class TaxonomyNode

extends java.lang.Object

Author:
  Evren Sirin

Constructor Summary
`TaxonomyNode(aterm.ATermAppl name, boolean hidden)`

Method Summary
`void` | `addEquivalent(aterm.ATermAppl c)`
`void` | `addInstance(aterm.ATermAppl ind)`
`void` | `addSub(TaxonomyNode other)`
`void` | `addSubs(java.util.Collection others)`
`void` | `addSuperExplanation(TaxonomyNode sup, java.util.Set<aterm.ATermAppl> exp)` Add an explanation for a subsumption relationship
`void` | `addSupers(java.util.Collection others)`
`boolean` | `compareLists(java.util.List l1, java.util.List l2)`
`boolean` | `compareTo(TaxonomyNode node)`
`boolean` | `contains(aterm.ATermAppl c)`
`void` | `disconnect()`
`java.util.Set<aterm.ATermAppl>` | `getEquivalents()`
`java.util.Set<aterm.ATermAppl>` | `getInstances()`
`aterm.ATermAppl` | `getName()`
`java.util.List<TaxonomyNode>` | `getSubs()`
`java.util.Set<java.util.Set<aterm.ATermAppl>>` | `getSuperExplanations(TaxonomyNode sup)` Get the set of explanations associated with a subsumption relationship
`java.util.List<TaxonomyNode>` | `getSupers()`
`boolean` | `isBottom()`
`boolean` | `isHidden()`
`boolean` | `isLeaf()`
`boolean` | `isTop()`
`void` | `print()`
`void` | `print(java.lang.String indent)`
`static java.util.List` | `removeFromNodeList(java.util.List l, aterm.ATermAppl t)`
`void` | `removeMultiplePaths()`
`static java.util.List` | `removeRepeatedElements(java.util.List l)`
`void` | `removeSub(TaxonomyNode other)`
`void` | `setHidden(boolean hidden)`
`void` | `setInstances(java.util.Set instances)`
`void` | `setSubs(java.util.List<TaxonomyNode> subs)`
`void` | `setSupers(java.util.List<TaxonomyNode> supers)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TaxonomyNode

    public TaxonomyNode(aterm.ATermAppl name,
                        boolean hidden)

Method Detail

### isTop

    public boolean isTop()

### isBottom

    public boolean isBottom()

### isLeaf

    public boolean isLeaf()

### removeRepeatedElements

    public static java.util.List removeRepeatedElements(java.util.List l)

### removeFromNodeList

    public static java.util.List removeFromNodeList(java.util.List l,
                                                    aterm.ATermAppl t)

### compareTo

    public boolean compareTo(TaxonomyNode node)

### compareLists

    public boolean compareLists(java.util.List l1,
                                java.util.List l2)

### isHidden

    public boolean isHidden()

### contains

    public boolean contains(aterm.ATermAppl c)

### addEquivalent

    public void addEquivalent(aterm.ATermAppl c)

### addSub

    public void addSub(TaxonomyNode other)

### addSubs

    public void addSubs(java.util.Collection others)

### addSupers

    public void addSupers(java.util.Collection others)

### removeSub

    public void removeSub(TaxonomyNode other)

### disconnect

    public void disconnect()

### addInstance

    public void addInstance(aterm.ATermAppl ind)

### addSuperExplanation

    public void addSuperExplanation(TaxonomyNode sup,
                                    java.util.Set<aterm.ATermAppl> exp)

  Add an explanation for a subsumption relationship

  Parameters:
    `sup` - Superclass (this [= sup)
    `exp` - Set of explanation erms

### setInstances

    public void setInstances(java.util.Set instances)

### getName

    public aterm.ATermAppl getName()

### getEquivalents

    public java.util.Set<aterm.ATermAppl> getEquivalents()

### getInstances

    public java.util.Set<aterm.ATermAppl> getInstances()

### getSuperExplanations

    public java.util.Set<java.util.Set<aterm.ATermAppl>> getSuperExplanations(TaxonomyNode sup)

  Get the set of explanations associated with a subsumption relationship

  Parameters:
    `sup` - Superclass (this [= sup)
  Returns:
    Set of explanations or null if none are present

### getSubs

    public java.util.List<TaxonomyNode> getSubs()

### getSupers

    public java.util.List<TaxonomyNode> getSupers()

### setSubs

    public void setSubs(java.util.List<TaxonomyNode> subs)

### setSupers

    public void setSupers(java.util.List<TaxonomyNode> supers)

### removeMultiplePaths

    public void removeMultiplePaths()

### print

    public void print()

### print

    public void print(java.lang.String indent)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setHidden

    public void setHidden(boolean hidden)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.